# TdApi.SearchInstalledStickerSets (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SearchInstalledStickerSets

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SearchInstalledStickerSets

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.StickerSets>
it.tdlight.jni.TdApi.SearchInstalledStickerSets

Enclosing class:
  TdApi

public static final class TdApi.SearchInstalledStickerSets extends TdApi.Function<TdApi.StickerSets>
Searches for installed sticker sets by looking for specified query in their title and name. Returns `StickerSets`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`limit`
The maximum number of sticker sets to return.
`String`
`query`
Query to search for.
`TdApi.StickerType`
`stickerType`
Type of the sticker sets to search for.

## Constructor Summary

Constructors
Constructor
Description
`SearchInstalledStickerSets()`
Searches for installed sticker sets by looking for specified query in their title and name.
`SearchInstalledStickerSets(TdApi.StickerType stickerType, String query, int limit)`
Searches for installed sticker sets by looking for specified query in their title and name.
`SearchInstalledStickerSets(DataInput input)`
Searches for installed sticker sets by looking for specified query in their title and name.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### stickerType

public TdApi.StickerType stickerType
Type of the sticker sets to search for.

### query

public String query
Query to search for.

### limit

public int limit
The maximum number of sticker sets to return.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SearchInstalledStickerSets

public SearchInstalledStickerSets()
Searches for installed sticker sets by looking for specified query in their title and name. Returns `StickerSets`

### SearchInstalledStickerSets

public SearchInstalledStickerSets(TdApi.StickerType stickerType, String query, int limit)
Searches for installed sticker sets by looking for specified query in their title and name. Returns `StickerSets`

Parameters:
  `stickerType` - StickerType Type of the sticker sets to search for.
  `query` - String Query to search for.
  `limit` - int The maximum number of sticker sets to return.

### SearchInstalledStickerSets

public SearchInstalledStickerSets(DataInput input) throws IOException
Searches for installed sticker sets by looking for specified query in their title and name. Returns `StickerSets`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`